Subject: Re: bug#7061: loop on touch (fdutimens)

From: Paul Eggert <[email-masked]>
Date: Fri, 17 Sep 2010 19:03:30 -0700

On 09/17/2010 05:49 PM, C de-Avillez wrote:

> I just built & ran a quick test on coreutils GIT. I received a SEGV on
> touch, and ran it under GDB.

I don't observe the problem.  I just now grabbed a fresh copy of coreutils.
I ran your test on Ubuntu 10.04 x86 and on RHEL 5 x86-64.

My guess is that you are running coreutils with a slightly out-of-date
gnulib, or vice versa.  You need to have either both of the following patches, or
neither of them.

http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=2dd21704d63c4e7567695a9e43dc1631b930efe2

http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=89b0db35db10a8beccaf83909c7f62f127fb5821